%define upstream_name    Palm
%define upstream_version 1.400

%{?perl_default_filter}

Name:       perl-p5-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6
Epoch:      1

Summary:    Modules for reading manipulating, and writing .pdb and .prc database
License:    GPL
Group:      Development/Perl
Url:        http://www.ooblick.com/software/coldsync/
Source0:    https://cpan.metacpan.org/modules/by-module/p5/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(POSIX)
BuildRequires: perl(Palm::PDB)
BuildRequires: perl(Palm::Raw)
BuildRequires: perl(Test::More)
BuildRequires: perl(constant)
BuildRequires: perl(vars)
BuildArch:  noarch

%description
This is p5-Palm, a set of Perl 5 modules for reading, manipulating,
and writing the .pdb and .prc database files used by PalmOS devices
such as the PalmPilot and its successors.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# Test are broken, ignoring result
#make test || :
make test

%install
%make_install

find %{buildroot} -name "perllocal.pod" -delete

%files
%doc Changes FAQ LICENSE META.json META.yml MYMETA.yml README TODO examples
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1:1.400.0-6.mga9
+ Revision: 1805026
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1:1.400.0-5.mga8
+ Revision: 1496202
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1:1.400.0-4.mga7
+ Revision: 1270229
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1:1.400.0-3.mga6
+ Revision: 1031601
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1:1.400.0-2.mga6
+ Revision: 968963
- Mageia 6 Mass Rebuild

* Mon Jul 27 2015 sander85 <sander85> 1:1.400.0-1.mga6
+ Revision: 858275
- update to 1.400

* Sun Oct 19 2014 umeabot <umeabot> 1:1.13.0-5.mga5
+ Revision: 788870
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1:1.13.0-4.mga5
+ Revision: 741293
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:1.13.0-3.mga5
+ Revision: 687048
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1:1.13.0-2.mga4
+ Revision: 534017
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 1:1.13.0-1.mga4
+ Revision: 476015
- update to 1.013

* Sun Jan 13 2013 umeabot <umeabot> 1:1.12.0-3.mga3
+ Revision: 375534
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 11 2011 spuhler <spuhler> 1:1.12.0-2.mga2
+ Revision: 103966
- increase rel for rebuild

* Thu Jan 20 2011 jquelin <jquelin> 1:1.12.0-1.mga1
+ Revision: 27368
- mageia rebuild
- imported package perl-p5-Palm


* Thu Feb 25 2010 Jérôme Quelin <jquelin@mandriva.org> 1:1.12.0-1mdv2010.1
+ Revision: 510973
- update to 1.012

* Tue Sep 22 2009 Jérôme Quelin <jquelin@mandriva.org> 1:1.11.0-1mdv2010.0
+ Revision: 447137
- update to 1.011

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 1:1.009-5mdv2010.0
+ Revision: 430519
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 1:1.009-4mdv2009.0
+ Revision: 258177
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 1:1.009-3mdv2009.0
+ Revision: 246261
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1:1.009-1mdv2008.1
+ Revision: 136330
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Aug 06 2007 Funda Wang <fwang@mandriva.org> 1:1.009-1mdv2008.0
+ Revision: 59428
- New version 1.009

* Tue May 08 2007 Olivier Thauvin <nanardon@mandriva.org> 1:1.008-9mdv2008.0
+ Revision: 25191
- 1.008
- fix version: use archive one, use epoch to fix


* Tue Sep 27 2005 Olivier Thauvin <nanardon@mandriva.org> 1.3.0-8mdk
- rebuild

* Wed Sep 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.3.0-7mdk
- rebuild

* Sat Aug 02 2003 Ben Reser <ben@reser.org> 1.3.0-6mdk
- Use %%makeinstall_std now that it works on klama
- Remove PREFIX from Makefile.PL

* Sat Aug 02 2003 Ben Reser <ben@reser.org> 1.3.0-5mdk
- Use %%make and %%makeinstall

* Fri Aug 01 2003 Ben Reser <ben@reser.org> 1.3.0-4mdk
- remove unused sitelib macro
- Fix man dir
- Macroification
- Fix perllocal path and use macros so it will build across perl releases.

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3.0-3mdk
- rebuild for new auto{prov,req}

* Mon May 05 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.3.0-2mdk
- buildrequires

* Sun Feb 09 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.3.0-1mdk
- 1.3.0
- use perl macros for build

* Thu Jan 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.2.4-2mdk
- rebuild

* Thu Jan 10 2002 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.2.4-1mdk
- First release.

